Select dinamico com ajax parou de funcionar após upgrade para o grails 2.0
22/12/2011 13:56
0
Ae galera, alguém saberia qual mudança ocasionou isto?
O seguinte erro ocorre ao carregar a página:

| Error 2011-12-22 11:52:24,328 ["http-bio-8080"-exec-10] ERROR [/Nome_Do_Projeto].[default]  - Servlet.service() for servlet [default] in context with path [/Nome_Do_Projeto] threw exception
Message: It looks like you are missing some calls to the r:layoutResources tag. After rendering your page the following have not been rendered: [defer]
Line | Method
->> 1110 | runWorker in java.util.concurrent.ThreadPoolExecutor
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
| 603 | run in java.util.concurrent.ThreadPoolExecutor$Worker
^ 722 | run . . . in java.lang.Thread


ps.: estava funcionando normal no grails 1.3.7
Tags: grails 2.0 ajax select dinamico


0
Andrei,

Eu sou muito inexperiente (ainda) com grails, mas acho que pode estar relacionado com a biblioteca js que facilita o trabalho com ajax.

Parece que a versão 2 do grails está vindo com o jQuery 'de série'. Você estava usando algum plugin pra prover o recurso de ajax?

Talvez eu esteja falando besteira... vale MUITO procurar mais opinioes rss

Abs e boa sorte
22/12/2011 15:44


0
Estou utilizando o prototype, ja instalei o plugin tudo certinho... e inclui no no cabeçalho do gsp correspondente!
=/
22/12/2011 21:34


0
Andrei,

Dei uma fuçada na internet com esse erro e não me pareceu ser por causa do ajax propriamente dito não... notei que todas as pessoas que citaram uma mensagem de erro semelhante estavam nas versões Release Candidate 1,2 e 3... vc está usando a versão final ou é uma das RC's?

Estou fazendo um sisteminha para aprender o grails e comecei na versão 1.3.7... tive uns problemas quando tentei upar para a 2RC, mas com a 2 final deu certo.. bastou dar um "grails upgrade"

Se vc executar um controlador qlqr também dá erro?
23/12/2011 20:28


0
Estou utilizando a versão final... Eu utilizava a 1.3.7, ai dei grails upgrade, porém encontrei esse erro, o select, que antes era dinamico de acordo com outro select, agora não é mais...

http://www.grails.org/AJAX-Driven+SELECTs+in+GSP


Esse é o site que ensina a utilizar os selects dinamicos... Porém não funciona mais :(
23/12/2011 22:41



Ainda não faz parte da comunidade???

Para se registrar, clique aqui.


Aprenda Groovy e Grails com a Formação itexto!

Newsletter Semana Groovy

Assinar

Envie seu link!


Livro de Grails


/dev/All

Os melhores blogs de TI (e em português) em um único lugar!

 
Creative Commons
RSS Grails Brasil é mantido por itexto Consultoria.
Em caso de problemas contacte Henrique Lobo Weissmann (Kico) por e-mail: kico@itexto.com.br
Todo o conteúdo presente neste site adota o Creative Commons como licença padrão.
Ver: 4.14.0
itexto